/**
 * This is a java application which tests the CommPort class.  It
 * creates a CommPort object for port 2, and tries to start it up.
 */

import CommPort;

class CommWrite {
    public static void Usage() {
		System.out.println("\nUsage:  java CommWrite");
    }

    public static void main(String args[]) {
		CommPort commPort = new CommPort( 2 );
		commPort.startUp();
		System.out.println( "Should have started up here...." );
		int x;
		int consecutiveNoDataCount = 0;
		while ( true ) {
			x = commPort.readByte();
			if ( x == -1 ) {
				consecutiveNoDataCount++;
			} else {
				consecutiveNoDataCount = 0;
			}
			if ( consecutiveNoDataCount == 10000 ) {
				break;
			}
			if ( x != -1 ) {
				System.out.println( "Commport.readByte returned " + x );
			}
		}
		try {
			System.out.println( "All finished.." );
			System.in.read();
		} catch ( java.io.IOException d ) {
		}
		System.out.println( "Now I am exitting." );
    }
}
